/*
	WinSTon
*/

enum {
	SHORT_CUT_F11,
	SHORT_CUT_F12,
	SHORT_CUT_NONE
};

enum {
	SHORT_CUT_KEY,
	SHORT_CUT_SHIFT,
	SHORT_CUT_CTRL
};

typedef struct {
	BOOL bDisableKeyRepeat;
	int ShortCuts[2][3];								// F11+F12, NORMAL+SHIFT+CTRL
	char szMappingFileName[MAX_FILENAME_LENGTH];
} DLG_KEYBOARD;

#define MAX_KEYTEST_ITEMS		9				// Maximum lines in Key Test

extern void Dialog_Keyboard_SetDefaults(void);
extern BOOL FAR PASCAL Dialog_Keyboard_DlgProc(HWND hDlg, UINT Message, UINT wParam, LONG lParam);
extern void Dialog_Keyboard_CreateKeyTestDialog(HWND hWnd);
